
package org.sky.scientific.service;

import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.XmJdxbgEntity;
import org.sky.scientific.pojo.vo.XmJdxbgVO;

import java.util.List;

/**
 * 科研项目-项目实施-阶段性报告 服务类
 *
 * @author Kd
 * @since 2025-07-01
 */
public interface IXmJdxbgService extends BaseService<XmJdxbgEntity> {

	List<XmJdxbgVO> listByXmId(Long xmId);
//
//	/**
//	 * 导出数据
//	 *
//	 * @param queryWrapper 查询条件
//	 * @return List<XmJdxbgExcel>
//	 */
//	List<XmJdxbgExcel> exportXmJdxbg(Wrapper<XmJdxbgEntity> queryWrapper);
//
//	XmJdxbgVO selectByCondition(XmJdxbgDTO xmJdxbg);

	/**
	 * 提交
	 * @param xmJdxbg
	 * @return
	 */
	boolean submit(XmJdxbgEntity xmJdxbg);

	boolean deleteByIds(List<Long> ids);

	XmJdxbgVO selectById(Long id);
}
